<!--
  ~ Copyright (c) 2002-2015 David Kocher. All rights reserved.
  ~ http://cyberduck.ch/
  ~
  ~ This program is free software; you can redistribute it and/or modify
  ~ it under the terms of the GNU General Public License as published by
  ~ the Free Software Foundation; either version 2 of the License, or
  ~ (at your option) any later version.
  ~
  ~ This program is distributed in the hope that it will be useful,
  ~ but WITHOUT ANY WARRANTY; without even the implied warranty of
  ~ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  ~ GNU General Public License for more details.
  ~
  ~ Bug fixes, suggestions and comments should be sent to feedback@cyberduck.ch
  -->

<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <parent>
        <groupId>ch.cyberduck</groupId>
        <artifactId>core</artifactId>
        <relativePath>../pom.xml</relativePath>
        <version>4.8.0-SNAPSHOT</version>
    </parent>
    <artifactId>liblaunchservicesschemehandler</artifactId>
    <packaging>pom</packaging>

    <profiles>
        <profile>
            <id>mac</id>
            <activation>
                <os>
                    <family>Mac</family>
                </os>
            </activation>
            <build>
                <plugins>
                    <plugin>
                        <groupId>org.codehaus.mojo</groupId>
                        <artifactId>build-helper-maven-plugin</artifactId>
                        <executions>
                            <execution>
                                <phase>package</phase>
                                <goals>
                                    <goal>attach-artifact</goal>
                                </goals>
                                <configuration>
                                    <artifacts>
                                        <artifact>
                                            <type>dylib</type>
                                            <file>${project.basedir}/../../../build/${project.artifactId}.dylib</file>
                                        </artifact>
                                    </artifacts>
                                </configuration>
                            </execution>
                        </executions>
                    </plugin>
                </plugins>
            </build>
        </profile>
    </profiles>
</project>

